Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Perl Error after update server from GIT [closed]

After update from git server error

Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 102, near "s/\*//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 105, near "s/\*//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 109, near "s/\*//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 113, near "s/\?/./gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 150, near "s/\.//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 151, near "s/\.//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 158, near "s/\.//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 159, near "s/\.//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 166, near "s/\.//gr"
Bareword found where operator expected at /usr/lib64/perl5/site_perl/5.12.3/Apache/Ocsinventory/Interface/SoftwareCategory.pm line 167, near "s/\.//gr"

Apache not start

Perl Verion 5.12.3

Regards
closed with the note: Problem solved by updating perl
asked in OCS Inventory NG server for Unix by (240 points)
closed ago by

3 Answers

0 votes
Hi,

Which version of OCS server? Your perl version is quite a bit too old. Could you update to the latest version or less ?

Regards

Frank
answered by (66.4k points)
0 votes
thanks for reply

Perl is version 5.12 OCS Server is 2.5 and patches from git
answered by (240 points)
0 votes
ok after upgrade perl to version 5.22 works all.

thanks
answered ago by (240 points)
 
Powered by Question2Answer
...